<?php
include('../conexion.php'); 
include ("../funciones/fechas.php");

$numord=$_POST["numord"];
$cdgpro=$_POST["cdgpro"];
$dscpro=strtoupper($_POST["dscpro"]);


$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";

if ($numord <> "") { $where.=" AND numord='$numord'"; }
if ($cdgpro <> "") { $where.=" AND cdgpro='$cdgpro'"; }
if ($dscpro <> "") { $where.=" AND dscpro like '%".$dscpro."%'"; }



$where.=" ORDER BY codord DESC";
$query_busqueda="SELECT count(*) as filas FROM orden_compra WHERE  ".$where;
 //echo $query_busqueda;
$rs_busqueda = $mysqli->query($query_busqueda);
$fila = $rs_busqueda->fetch_array();

$filas = $fila["filas"];


$query_busqueda="SELECT * FROM orden_compra WHERE ".$where;
 if ($rs_busqueda = $mysqli->query($query_busqueda))

$totalorden_compra=0;
$totalorden=0;
while ($fila = $rs_busqueda->fetch_assoc()) {
	$totalorden+=$fila["totalorden"];
}

?>
<html>
	<head>
		<title>Ordenes</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function ver_orden(codord) {
			parent.location.href="ver_orden.php?codord=" + codord + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_orden(codord,marcaestado) {
			if (marcaestado==1) {
				parent.location.href="modificar_orden.php?codord=" + codord + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			} else {
				alert ("No puede modificar la orden ya pagada.");
			}
		}
		
	//////////////////////////////////////  funcion anular orden //////////////////////////////////////////////////////

		function eliminar_orden(codord,marcaborrado) {
			if (marcaborrado==1) {
		       alert ("Favor verifique orden ya fue ANULADO !");
					} else {	
			parent.location.href="eliminar_orden.php?codord=" + codord + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			
			}
		}
					      
	function imprimir(codord,marcaborrado) {
	if (marcaborrado==1) {
		       alert ("Favor verifique orden ya fue ANULADO !");
					} else {


				window.open("../fpdf/imprimir_orden.php?codord="+codord);
			
		}	
		}
	
	
	
		function imprimir_media_carta(codord,marcaborrado) {
if (marcaborrado==1) {
		       alert ("Favor verifique orden ya fue ANULADO !");
					} else {
				window.open("../fpdf/imprimir_orden_compra_media_carta.php?codord="+codord);
			
		}	
		}
		
		
		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalorden.value=document.getElementById("totalorden").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalorden" id="totalorden" value="<?php echo $totalorden?>">
				<?php 
				//$iniciopagina=$_POST["iniciopagina"];
				if (!isset($_POST["iniciopagina"])) { $iniciopagina=""; } else  {  $iniciopagina=$_POST["iniciopagina"]; }
				
				if (!isset($_GET["iniciopagina"])) { $iniciopagina=-1; } else  {  $iniciopagina=$_GET["iniciopagina"]; }

				
				if (empty($iniciopagina)) { $iniciopagina=$_GET["iniciopagina"]; } else { $iniciopagina=$iniciopagina-1;}
				if (empty($iniciopagina)) { $iniciopagina=0; }
				if ($iniciopagina>$filas) { $iniciopagina=0; }
					if ($filas > 0) { ?>
						<?php
$sel_resultado="SELECT codord,dscpro,detord,borrado, totalorden,numord,cdgpro,fecord FROM orden_compra WHERE ".$where;
  if ($res_resultado = $mysqli->query($sel_resultado)) 
						
	
						   $contador=0;
						   $marcaestado=0;	
						   $marcaborrado=0;						   

						   
						   while ($fila = $res_resultado->fetch_assoc()) {
								
							   $marcaborrado = $fila["borrado"];

				    if ($marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
								if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >
                                <?php $fecord = $fila["fecord"];
								$fecord= implode("-", array_reverse(explode("-", $fecord))); 
								
								?>

								<td width="1%"><?php $contador+1;?></td>
								<td width="9%"><div align="left"><?php echo  $fila["numord"] ?></div></td>
								<td width="12%"><div align="left"><?php echo $fecord?></div></td>
								<td width="3%"><div align="left"><?php echo $fila["cdgpro"]?></div></td>
								
								<td width="30%"><div align="left"><?php echo $fila["dscpro"]?></div></td>	
								<td width="11%"><div align="left"><?php echo $borrado; ?></div></td>		
                                						
								<td width="19%"><div align="right"><?php echo  number_format($fila["totalorden"],2,".",",")?></div></td> 
		
								<td width="5%">&nbsp;</td>
								<td width="2%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_orden(<?php echo $fila["codord"]?> )" title="Visualizar"></a></div></td>
								<td width="2%"><div align="center"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="eliminar_orden(<?php echo  $fila["codord"]?> , <?php echo  $fila["borrado"]?>)" title="Anular orden"></a></div></td>
								
								<td width="3%"><a href="#"><img src="../img/Printer_Icon_128.png" alt="im" width="32" height="32" border="0" title="Imprimir Carta " onClick="imprimir(<?php echo $fila["codord"] ?>, <?php echo  $fila["borrado"]?>)"></a></td>
								
								<td width="3%"><a href="#"><img src="../img/print-icon (1).png" alt="im" width="32" height="32" border="0" title="Imprimir Media Carta" onClick="imprimir_media_carta(<?php echo $fila["codord"] ?>, <?php echo  $fila["borrado"]?>)"></a></td>
								
								<td width="0%"> </td>
						</tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php /*echo $fechainicio; echo $fechafin;*/ echo "No hay ningun orden que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
			  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
